## ros-one-pr2-mechanism-controllers 1.10.18-3jammy.20251023.1246

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_mechanism_controllers)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS std_msgs geometry_msgs pr2_mechanism_msgs nav_msgs pr2_msgs visualization_msgs diagnostic_msgs pr2_controller_interface roscpp pr2_controllers_msgs pr2_mechanism_model realtime_tools robot_mechanism_controllers  pluginlib rosconsole tf angles control_toolbox filters diagnostic_updater message_generation)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

add_message_files(
   DIRECTORY msg
   FILES
   BaseControllerState2.msg
   BaseControllerState.msg
   BaseOdometryState.msg
   DebugInfo.msg
   Odometer.msg
   OdometryMatrix.msg
   TrackLinkCmd.msg
)

add_service_files(
   DIRECTORY srv
   FILES
   SetProfile.srv
)

find_package(Eigen3 REQUIRED)
find_package(Boost REQUIRED COMPONENTS thread)

include_directories(include ${EIGEN3_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS}
   ${catkin_INCLUDE_DIRS})

## Generate added messages and services with any dependencies listed here
generate_messages( DEPENDENCIES geometry_msgs std_msgs)

catkin_package(
    DEPENDS EIGEN3
    CATKIN_DEPENDS std_msgs geometry_msgs pr2_mechanism_msgs nav_msgs pr2_msgs visualization_msgs diagnostic_msgs pr2_controller_interface roscpp pr2_controllers_msgs pr2_mechanism_model realtime_tools robot_mechanism_controllers  pluginlib rosconsole tf angles control_toolbox filters diagnostic_updater message_runtime
    INCLUDE_DIRS include
    LIBRARIES pr2_mechanism_controllers
)

add_definitions(-O3)

add_library( pr2_mechanism_controllers
  src/laser_scanner_traj_controller.cpp
  src/caster_controller.cpp
  src/base_kinematics.cpp
  src/pr2_odometry.cpp
  src/pr2_base_controller.cpp
  src/pr2_base_controller2.cpp
  src/pr2_gripper_controller.cpp
  src/trajectory.cpp
  )
find_package(PkgConfig)
pkg_check_modules(URDFDOM REQUIRED urdfdom)
message(STATUS "Find URDFDOM ${URDFDOM_VERSION}")
target_compile_definitions(pr2_mechanism_controllers PRIVATE -DURDFDOM_1_0_0_API)
target_link_libraries(pr2_mechanism_controllers ${Boost_LIBRARIES} 
   ${catkin_LIBRARIES})
add_dependencies(pr2_mechanism_controllers
   ${pr2_mechanism_controllers_EXPORTED_TARGETS} ${pr2_msgs_EXPORTED_TARGETS})
pr2_enable_rpath(pr2_mechanism_controllers)

# TODO: tests

install(TARGETS pr2_mechanism_controllers
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(FILES controller_plugins.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY scripts/
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-one-pr2-mechanism-controllers (1.10.18-3jammy.20251023.1246) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 23 Oct 2025 12:46:23 +0000

ros-one-pr2-mechanism-controllers (1.10.18-0jammy) jammy; urgency=high

  * 2to3 -w -f print . (#401 <https://github.com/PR2/pr2_controllers/issues/401>)
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 08 May 2021 00:00:00 -0000

ros-one-pr2-mechanism-controllers (1.10.17-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 08 Aug 2019 00:00:00 -0000

ros-one-pr2-mechanism-controllers (1.10.16-0jammy) jammy; urgency=high

  * Make sure to include the correct boost libraries.
    This follows the principle of "include what you use", and
    also should in theory fix the problems on the build farm.
    (#394 <https://github.com/PR2/pr2_controllers/issues/394>)
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 26 Jul 2019 00:00:00 -0000

ros-one-pr2-mechanism-controllers (1.10.15-0jammy) jammy; urgency=high

  * Merge pull request #390 <https://github.com/pr2/pr2_controllers/issues/390> from k-okada/add_travis
    update travis.yml
  * add fix for urdfmodel 1.0.0(melodic),
    since 12.04 have urdfmodel < 1.0.0, it will fail to compile on indigo, so we need to chaeck URDFDOM_version
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 13 Sep 2018 00:00:00 -0000

ros-one-pr2-mechanism-controllers (1.10.14-0jammy) jammy; urgency=high

  * Merge pull request #389 <https://github.com/PR2/pr2_controllers/issues/389> from k-okada/kinetic-devel
    - use Eigen3 instead of Eigen
  * use Eigen3 instead of Eigen
  * Merge pull request #388 <https://github.com/PR2/pr2_controllers/issues/388> from k-okada/add_missing_dep
    add missing dependency
  * Merge pull request #387 <https://github.com/PR2/pr2_controllers/issues/387> from k-okada/maintain
    change maintainer to ROS orphaned package maintainer
  * Merge pull request #369 <https://github.com/PR2/pr2_controllers/issues/369> from muratsevim/hydro-devel
    std namespace prefix is added to isnan calls
  * mechanism_controllers: add missing pr2_msgs dependency
  * change maintainer to ROS orphaned package maintainer
  * std namespace prefix is added to isnan calls
  * Contributors: Kei Okada, Mehmet Murat Sevim, Michael Görner

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 00:00:00 -0000

ros-one-pr2-mechanism-controllers (1.10.13-0jammy) jammy; urgency=high

  * Updated maintainership
  * Contributors: dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 09 Feb 2015 00:00:00 -0000

ros-one-pr2-mechanism-controllers (1.10.12-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-one-pr2-mechanism-controllers (1.10.10-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000

ros-one-pr2-mechanism-controllers (1.10.9-0jammy) jammy; urgency=high

  * Changelogs
  * Added changelogs
  * Changelogs; maintainership
  * Contributors: TheDash
  * Changelogs; maintainership
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-pr2-mechanism-controllers
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-angles, ros-one-catkin, ros-one-control-toolbox, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-filters, ros-one-geometry-msgs, ros-one-message-generation, ros-one-nav-msgs, ros-one-pluginlib, ros-one-pr2-controller-interface, ros-one-pr2-controllers-msgs, ros-one-pr2-mechanism-model, ros-one-pr2-mechanism-msgs, ros-one-pr2-msgs, ros-one-realtime-tools, ros-one-robot-mechanism-controllers, ros-one-rosconsole, ros-one-roscpp, ros-one-rospy, ros-one-std-msgs, ros-one-tf, ros-one-visualization-msgs
Homepage: http://ros.org/pr2_mechanism_controllers
Standards-Version: 3.9.2

Package: ros-one-pr2-mechanism-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-angles, ros-one-control-toolbox, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-filters, ros-one-geometry-msgs, ros-one-message-runtime, ros-one-nav-msgs, ros-one-pluginlib, ros-one-pr2-controller-interface, ros-one-pr2-controllers-msgs, ros-one-pr2-mechanism-model, ros-one-pr2-mechanism-msgs, ros-one-pr2-msgs, ros-one-realtime-tools, ros-one-robot-mechanism-controllers, ros-one-rosconsole, ros-one-roscpp, ros-one-rospy, ros-one-std-msgs, ros-one-tf, ros-one-visualization-msgs
Description: The pr2_mechanism_controllers package contains realtime controllers that are meant for specific mechanisms of the PR2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-pr2-mechanism-controllers//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-pr2-mechanism-controllers 1.10.18-3jammy.20251208.0107

=== debian/changelog ===
ros-one-pr2-mechanism-controllers (1.10.18-3jammy.20251208.0107) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 08 Dec 2025 01:07:50 +0000

## ros-one-pr2-mechanism-controllers 1.10.18-3jammy.20260222.0000

=== debian/changelog ===
ros-one-pr2-mechanism-controllers (1.10.18-3jammy.20260222.0000) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 22 Feb 2026 00:00:26 +0000

## ros-one-pr2-mechanism-controllers 1.10.18-3noble.20251023.1434

=== debian/changelog ===
ros-one-pr2-mechanism-controllers (1.10.18-3noble.20251023.1434) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 23 Oct 2025 14:34:18 +0000

ros-one-pr2-mechanism-controllers (1.10.18-0noble) noble; urgency=high

  * 2to3 -w -f print . (#401 <https://github.com/PR2/pr2_controllers/issues/401>)
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 08 May 2021 00:00:00 -0000

ros-one-pr2-mechanism-controllers (1.10.17-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 08 Aug 2019 00:00:00 -0000

ros-one-pr2-mechanism-controllers (1.10.16-0noble) noble; urgency=high

  * Make sure to include the correct boost libraries.
    This follows the principle of "include what you use", and
    also should in theory fix the problems on the build farm.
    (#394 <https://github.com/PR2/pr2_controllers/issues/394>)
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 26 Jul 2019 00:00:00 -0000

ros-one-pr2-mechanism-controllers (1.10.15-0noble) noble; urgency=high

  * Merge pull request #390 <https://github.com/pr2/pr2_controllers/issues/390> from k-okada/add_travis
    update travis.yml
  * add fix for urdfmodel 1.0.0(melodic),
    since 12.04 have urdfmodel < 1.0.0, it will fail to compile on indigo, so we need to chaeck URDFDOM_version
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 13 Sep 2018 00:00:00 -0000

ros-one-pr2-mechanism-controllers (1.10.14-0noble) noble; urgency=high

  * Merge pull request #389 <https://github.com/PR2/pr2_controllers/issues/389> from k-okada/kinetic-devel
    - use Eigen3 instead of Eigen
  * use Eigen3 instead of Eigen
  * Merge pull request #388 <https://github.com/PR2/pr2_controllers/issues/388> from k-okada/add_missing_dep
    add missing dependency
  * Merge pull request #387 <https://github.com/PR2/pr2_controllers/issues/387> from k-okada/maintain
    change maintainer to ROS orphaned package maintainer
  * Merge pull request #369 <https://github.com/PR2/pr2_controllers/issues/369> from muratsevim/hydro-devel
    std namespace prefix is added to isnan calls
  * mechanism_controllers: add missing pr2_msgs dependency
  * change maintainer to ROS orphaned package maintainer
  * std namespace prefix is added to isnan calls
  * Contributors: Kei Okada, Mehmet Murat Sevim, Michael Görner

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 00:00:00 -0000

ros-one-pr2-mechanism-controllers (1.10.13-0noble) noble; urgency=high

  * Updated maintainership
  * Contributors: dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 09 Feb 2015 00:00:00 -0000

ros-one-pr2-mechanism-controllers (1.10.12-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-one-pr2-mechanism-controllers (1.10.10-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000

ros-one-pr2-mechanism-controllers (1.10.9-0noble) noble; urgency=high

  * Changelogs
  * Added changelogs
  * Changelogs; maintainership
  * Contributors: TheDash
  * Changelogs; maintainership
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000

## ros-one-pr2-mechanism-controllers 1.10.18-3noble.20251208.1154

=== debian/changelog ===
ros-one-pr2-mechanism-controllers (1.10.18-3noble.20251208.1154) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 08 Dec 2025 11:54:44 +0000

## ros-one-pr2-mechanism-controllers 1.10.18-3noble.20260222.0109

=== debian/changelog ===
ros-one-pr2-mechanism-controllers (1.10.18-3noble.20260222.0109) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 22 Feb 2026 01:09:19 +0000
